from da.cyclecontrol.initexit_cteco2 import CycleControl,start_logger
from da.statevectors.statevector_lw import ctsfStateVector as statevector # move to da/statevector
from da.platform.snellius import SnelliusPlatform
from da.dasystems.dasystem_cteco2 import CO2DaSystem
from da.pipelines.pipeline_ctecc import start_job
import datetime as dt
from da.analysis.ctecc.expand_fluxes import write_flux1x1
import sys
start_logger()
dacycle=CycleControl(opts=['-v'],args={'rc':sys.argv[4]})
platform    = SnelliusPlatform()
dasystem    = CO2DaSystem(dacycle['da.system.rc'])
statevector = statevector()
start_job(dacycle, dasystem, platform, statevector)
statevector.isOptimized=True
dacycle['dir.analysis']=sys.argv[1]
fmt=sys.argv[2]
key=sys.argv[3]
d=dt.datetime.strptime(sys.argv[5],"%Y-%m-%d")

write_flux1x1(dacycle,statevector,d,alltimes=True,imposed=False,basename=key+'_',fmt=fmt,key=key)

